package com.example.demo.wstrzykiwanie;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FabrykaKomponentow {
	{ System.out.println("FabrykaKomponentow init"); }

    @Bean
    Komponent dajKomponent() {
		System.out.println("Zaraz utworzę Komponent w klasie FabrykaKomponentow");
		return new Komponent();
	}

}
